
CREATE TABLE IF NOT EXISTS erpc_gp_colaboradores(
    id INT AUTO_INCREMENT PRIMARY KEY,
    ds_nome VARCHAR(255),
    ds_nacionalidade VARCHAR(255),
    id_funcao INT,
    ds_cpf VARCHAR(255),
    ds_rg VARCHAR(255),
    ds_ctps VARCHAR(255),
    ds_ctps_serie VARCHAR(255),
    ds_cep VARCHAR(255),
    ds_endereco VARCHAR(255),
    ds_bairro VARCHAR(255),
    ds_cidade VARCHAR(255),
    dt_ultimo_exame DATETIME,
    dt_aso_admissional DATETIME,
    dt_proximo_exame DATETIME,
    ds_telefone VARCHAR(255),
    ds_pis VARCHAR(255),
    id_banco INT,
    ds_conta VARCHAR(255),
    ds_observacao VARCHAR(255),
    id_score INT,
    vl_valor_hora DECIMAL(5.2),
    st_exame_laboratorial BOOLEAN,
    st_filhos BOOLEAN,
    st_ativo BOOLEAN
);

CREATE TABLE IF NOT EXISTS erpc_gp_status_escala(
    id INT AUTO_INCREMENT PRIMARY KEY,
    ds_status VARCHAR(255),
    st_ativo BOOLEAN
);

CREATE TABLE IF NOT EXISTS erpc_gp_status_escala(
    id INT AUTO_INCREMENT PRIMARY KEY,
    ds_status VARCHAR(255),
    st_ativo BOOLEAN
);

create table if not exists erpc_gp_escalas (
	   id int primary key auto_increment
    ,st_ativo boolean
);

create table if not exists erpc_gp_escala_colaborador (
	   id_escala int
    ,id_colaborador int
    ,dh_entrada timestamp
    ,dh_saida timestamp
    ,id_status int
    ,id_cliente int
    ,id_setor int
    ,vl_bonus decimal(7,2)
    ,ds_justificativa_bonus varchar(255)
    ,vl_adicional_vt decimal(7,2)
    ,vl_adicional_noturno decimal(7,2)
    ,vl_adicional_hora_extra_diferenciada decimal(7,2)
);

